/***********************************************************************
 * Bdbj 1.2.1 (by Jon Cook August 2002)
 *
 * DefaultDialog.java 
 * 
 * Convenience methods for showing various dialogs.
 ***********************************************************************/

package jjc.bdbj.interfaces.gui;

import javax.swing.*;
import java.awt.*;

public class DefaultDialog extends JOptionPane {

    public static Frame parent = null;

    public static Object getInput( String question, String initial ) {
        return showInputDialog( parent, question, "User Input", QUESTION_MESSAGE,
                                null, null, initial);
    }

    public static void error( String error ) {
        showMessageDialog( parent, error, "Error", ERROR_MESSAGE );
    }

    public static void info( String info ) {
        showMessageDialog( parent, info, "Information", INFORMATION_MESSAGE );
    }

    public static int yesNoCancel( String question ) {
	return showConfirmDialog( parent, question, "Question", 
				  YES_NO_CANCEL_OPTION, QUESTION_MESSAGE );
    }

    public static int yesNo( String question ) {
	return showConfirmDialog( parent, question, "Question",
				  YES_NO_OPTION, QUESTION_MESSAGE );
    }
}
