/***********************************************************************
 * Bdbj 1.2.1 (by Jon Cook August 2002)
 *
 * MenuItemData.java 
 * 
 * Used with ModeMenuBar to describe a single menu item.
 ***********************************************************************/

package jjc.bdbj.interfaces.gui;

import java.awt.event.*;

public class MenuItemData {
    public String item;
    public String internalName;
    public ActionListener handler;
    public String key = "";
    public boolean[] enabledForMode = null;

    public MenuItemData( String item, String internalName, ActionListener handler ) {
        this( item, internalName, handler, "", null );
    }

    public MenuItemData( String item, String internalName, ActionListener handler, String key ) {
        this( item, internalName, handler, key, null );
    }

    public MenuItemData( String item, String internalName, 
                              ActionListener handler, String key, boolean[] enabledForMode ) {
        this.item = item;
        this.internalName = internalName;
        this.handler = handler;
        this.key = key;
        this.enabledForMode = enabledForMode;
    }
}
